/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the COPYING file or "Copyright notice" in builder.cpp for details.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>. 
 */

/*
 * ClusterInterface.cpp
 *
 *  Created on: Oct 5, 2012
 *      Author: heber
 */


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include "CodePatterns/MemDebug.hpp"

#include "ClusterInterface.hpp"

#include <iostream>
#include "Atom/atom.hpp"
#include "AtomIdSet.hpp"

std::ostream &operator<<(std::ostream &out, const ClusterInterface& cluster)
{
  const AtomIdSet atoms = cluster.getAtoms();
  for(AtomIdSet::const_iterator aiter = atoms.begin(); aiter != atoms.end(); ++aiter) {
    out << "[" << (*aiter)->getId() << " " << (*aiter)->getPosition() << "]";
  }
  return out;
}
